{ config, lib, pkgs, user, theme, ... }:

{
  home = {
    username = "${user}";
    homeDirectory = "/home/${user}";
    sessionPath = [
      "$HOME/.cargo/bin/"
    ];

    packages = with pkgs; [
      unstable.eza
      jq
      htop
      ripgrep
      pavucontrol
      gnumake
      unzip
      gcc
      slack
      thunderbird
      keepassxc
      tree
      light
      element-desktop
      difftastic
      zoom-us
      darktable
      kubectl
      kubectx
      gnome.simple-scan
      calibre
      libreoffice
      gthumb
    ];

    stateVersion = "22.05";
  };

  programs.home-manager.enable = true;

  imports = [
    ./home-manager/nextcloud.nix
    ./home-manager/firefox.nix
    ./home-manager/fzf.nix
    ./home-manager/git.nix
    ./home-manager/kitty.nix
    ./home-manager/neovim
    ./home-manager/gpg
    ./home-manager/carapace.nix
    ./home-manager/zsh.nix
    ./home-manager/starship.nix
    ./home-manager/sway
    ./home-manager/direnv.nix
    ./home-manager/bat.nix
    ./home-manager/zoxide.nix
  ];
}
